Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class PiggybackException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.PiggybackException

public class PiggybackException
extends JboException

Indicates a failure while reading/writing piggyback.

Since:
  JDeveloper 3.2
See Also:
  Serialized Form

Constructor Summary
`PiggybackException(java.lang.String message)` Create an exception indicating that some error occurred while either reading or writing piggyback.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PiggybackException

    public PiggybackException(java.lang.String message)

  Create an exception indicating that some error occurred while either reading or writing piggyback.

  Most typically, this exception is thrown when:

  1. While writing piggyback content, some exception was thrown from the `readObject` method.

  2. While reading piggyback content, the target object class was found.

  3. While reading piggyback a version mismatch was discovered between the middle tier and the client tier.

  Note that as this exception may be thrown from the thin client, the error text is not retrieved from the message bundle. Instead, the text is passed in as a string.

  This exception normally carries a detail exception. The detail exception will give further information about what went wrong.

  Parameters:
    `message` - the erorr message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD